package com.oguerreiro.resilient.activity;

/**
 * Just an interface to identify the Activity concept
 */
public interface Task <TR extends TaskResult ,TG extends TaskGuide> {
	TR doTask(TG guide);
}
